package sgc.portal.cw.cw1502.persistence;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw1502.dto.CW15020003PSearch;
import sgc.portal.cw.cw1502.model.CW15020002P;
import sgc.portal.cw.cw1502.model.CW15020003P;


@Mapper
public interface CW15020003PMapper {
	
	EasyHashMap<String, Object> getSelectRemInfo(CW15020003PSearch search);
    
    int updateRes(CW15020003P cW15020003P);
    
    int updateRes2(CW15020003P cW15020003P);
    
    int updateRes3(CW15020003P cW15020003P);
    
    int insertLog(CW15020003P cW15020003P);
    
    int updateDis(CW15020003P cW15020003P);
    
    int updateDis2(CW15020003P cW15020003P);
    
    int updateDis3(CW15020003P cW15020003P);
    
    int updateDis4(CW15020003P cW15020003P);
	
	String getReservationDis(CW15020003P cW15020003P);
    
	int getCheckReservation(CW15020003P cW15020003P);
    
	int getCheckReservation2(CW15020003P cW15020003P);
    
	int getDepartAccumDist(CW15020003P cW15020003P);
	    
}
